Subject: bug#72343: [PATCH] Fix eglot-server-programs for TeX modes

From: Augusto Stoffel <[email-masked]>
Date: Tue, 30 Jul 2024 20:20:37 +0200

>
> Thanks, but what about the other part of João's questions, regarding
> :language-id?
>

That's precisely the point of the patch: make different derived modes of
tex-mode pass different language IDs to the server. Based on the
documentation João referred to, separate entries in eglot-server-programs
are needed in this case.